/**
 * Handles toggle of fields in the settings page
 */
jQuery( document ).ready( function() {

( function( $ ) {

	function toggleFields( method ) {

		if ( method === 'click' ) {
			var val = $( this ).val()
		} else {
			var val = $( '.on-ad-block-detection:checked' ).val();
		}

		var modalFields = $( '.adsanity-ad-block-detection tr:nth-child(3), .adsanity-ad-block-detection tr:nth-child(4)' );
		var redirectFields = $( '.adsanity-ad-block-detection tr:nth-child(5), .adsanity-ad-block-detection tr:nth-child(6)' );

		if( val === 'modal' ) {
			modalFields.show();
			redirectFields.hide();
		} else {
			modalFields.hide();
			redirectFields.show();
		}

	}

	$( '.on-ad-block-detection' ).click( { paramOne: 'click' }, toggleFields );

	toggleFields( 'load' );

	function toggleMethod( method ) {

		if ( method === 'click' ) {
			var val = $( this ).val()
		} else {
			var val = $( '.mandatory-warning:checked' ).val();
		}

		console.log( val );

		var days = $( '.adsanity-ad-block-detection table tr:nth-child(8)' );

		if ( val === 'mandatory' ) {
			days.hide();
		} else {
			days.show();
		}

	}

	$( '.mandatory-warning' ).click( { paramOne: 'click' }, toggleMethod );

	toggleMethod( 'load' );

} )( jQuery )

} );
