# Basic explanation

## Rules

Rules are stored as an array

A ruleset is a group of 'and' conditions

A row is a condition within a ruleset

Multiple rulesets interact with each other through an 'or' relationship

TRUE means we are HIDING, FALSE if SHOWING

```
Show Ad If:

Ruleset
	Row: post_type    does not equals    post (AND)
	Row: user_type    does not equal     administrator

( OR )

Ruleset
	Row: page    equals    Home
```

The array for the above rule on the home page as an administator looks like this (The ad is shown):
```php
array(
	array(
		true,
		true
	),
	array(
		false
	),
);
```

=>

```php
array(
	true,
	false,
);
```

=>

```php
false
```