const path                 = require( 'path' );
const inProduction         = process.env.NODE_ENV === 'production';

const entry = {
	'js/custom-ad-sizes'  : './src',
};

module.exports = {
	output: {
		path: path.resolve( __dirname ),
	},
	entry,
	module: {
		rules: [
			{
				test: /\.js$/,
				use: 'babel-loader',
			},
		],
	},
	externals: [
		{
			jquery: 'window.jQuery',
		},
	],
	mode: inProduction ? 'production' : 'development',
};
