<?php

/**
 * Fired during plugin deactivation
 */
class Adsanity_GATI_Deactivator {

	public static function deactivate() {

		$plugin_name = 'adsanity_gati';

		/**
		 * Remove plugin options
		 */
		delete_option( $plugin_name . '-already_tracking' );
		delete_option( $plugin_name . '-refresh_token' );
		delete_option( $plugin_name . '-tracking_id' );
		delete_option( $plugin_name . '-profile_id' );
		delete_option( $plugin_name . '-using_monster_insights' );

		wp_clear_scheduled_hook( 'adsanity_gati_get_access_token' );

		delete_transient( 'adsanity-gati-access-token' );

	}
}
