<?php
/**
 * Plugin Name: AdSanity - Weighted Ads
 * Description: Add-on to AdSanity to allow for weighting of ads
 * Version: 1.1
 * Plugin URI: https://www.adsanityplugin.com
 * Author: Pixel Jar
 * Author URI: https://www.pixeljar.com
 * License: GPL2
 * Text Domain: adsanity-wa
 * Domain Path: /lang
 */

define( 'ADSANITY_WA_ABS', plugin_dir_path( __FILE__ ) );
define( 'ADSANITY_WA_LIB', plugin_dir_path( __FILE__ ) . 'lib/' );
define( 'ADSANITY_WA_VIEWS', plugin_dir_path( __FILE__ ) . 'views/' );
define( 'ADSANITY_WA_CSS', plugin_dir_url( __FILE__ ) . 'dist/css/' );
define( 'ADSANITY_WA_JS', plugin_dir_url( __FILE__ ) . 'dist/js/' );
define( 'ADSANITY_WA_SLUG', 'adsanity-wa' );
define( 'ADSANITY_WA_VERSION', '1.1' );
define( 'ADSANITY_WA_META_KEY', 'adsanity_wa_weight' );

require_once( ADSANITY_WA_LIB . 'ad-weight.php' );
require_once( ADSANITY_WA_LIB . 'meta-box.php' );

/**
 * Update engine
 */
require_once ADSANITY_WA_ABS . 'update-engine/remote-api.php';
