<?php

/**
 * Beaver Builder Modules for AdSanity
 */

class AdSanity_Beaver_Builder_Modules {

	function __construct() {}

	/**
	 * The hooks for this class
	 */
	public static function hooks() {

		add_action( 'init', array( __CLASS__, 'load_modules' ) );

	}

	/**
	 * Load the modules
	 */
	public static function load_modules() {

		if ( ! class_exists( 'FLBuilder' ) ) {
			return;
		}

		$path = plugin_dir_path( __FILE__ );
		require_once( $path . 'adsanity-single/adsanity-single.php' );
		require_once( $path . 'adsanity-group/adsanity-group.php' );
		require_once( $path . 'adsanity-random/adsanity-random.php' );

	}

}

AdSanity_Beaver_Builder_Modules::hooks();
