const $ = window.jQuery;
const _ = window._;

$( window.document ).ready( function() {

	//
	// Handle type changes
	//
	$( '#adsanity-impressions input[type="checkbox"]' ).change( function() {

		const box = $( this ).closest( '.box' );

		if ( $( this ).prop( 'checked' ) ) {
			box.addClass( 'active' );
			box.prev().removeClass( 'active' );
			box.next().removeClass( 'active' );
			box.prev().find( 'input[type="checkbox"]' ).prop( 'checked', '' );
			box.next().find( 'input[type="checkbox"]' ).prop( 'checked', '' );
			return;
		}

		box.removeClass( 'active' );

	} );

	//
	// Validate limit box
	//
	$( '#adsanity-impressions input[type="number"]' ).on( 'keydown keyup', function() {

		let value = $( this ).val();

		if ( '' === value ) {
			return;
		}

		value = Number.parseInt( value );

		if ( _.isNaN( value ) || ! _.isNumber( value ) ) {
			value = '';
		}

		$( this ).val( value ).trigger( 'change' );

	} );

} );
