<?php

// Array of publicly available roles
$roles = get_editable_roles();

$options = $this->options;
$options_name = 'adsanity-user-role-ad-visibility-options';

$option_markup = '<option value="%s" %s>%s</option>';

printf(
	'<select name="%s[]" multiple style="width:%s">',
	esc_attr( $options_name ),
	'100%'
);

	foreach ( $roles as $key => $value ) {
		if ( ! is_array( $options ) ) {
			$selected = '';
		} else {
			$selected = selected( in_array( $key, $options ), true, false );
		}

		printf(
			$option_markup,
			esc_attr( $key ),
			$selected,
			esc_html( $value['name'] )
		);
	}

echo '</select>';
