<?php

/**
 * Fired during plugin deactivation
 */
class Adsanity_ABD_Deactivator {

	public static function deactivate() {

		// Get id for the ad block notice and delete it (move to trash)
		$page_id = get_option( 'adsanity-ad-block-detection-options' )['redirect_page_id'];

		wp_delete_post( $page_id, true );

		// Remove options from the plugin
		delete_option( 'adsanity-ad-block-detection-options' );

	}
}
