<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://www.pixeljar.com
 * @since      1.0.0
 *
 * @package    Adsanity_AR
 * @subpackage Adsanity_AR/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Adsanity_AR
 * @subpackage Adsanity_AR/includes
 * @author     Pixel Jar <info@pixeljar.com>
 */
class Adsanity_AR_Deactivator {

	/**
	 * Fired during plugin deactivation.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {}

}
