<?php if ( ! defined( 'ABSPATH' ) ) { die( 'You are not allowed to call this file directly.' ); } ?>
<div class="feature-section one-col">
	<div class="col">
		<h2>
			<?php esc_html_e( 'Custom Ad Sizes 1.5.1', 'adsanity-cas' ); ?>
		</h2>
	</div>
</div>

<section class="cards">
	<article class="card">
		<h1><?php esc_html_e( 'Front-End Visual Support', 'adsanity-cas' ); ?></h1>
		<p><?php esc_html_e( 'We have added dynamic CSS to support the correct display of any custom sized ads you create on the front-end of your website.', 'adsanity-cas' ); ?></p>
	</article>
	<article class="card">
		<h1><?php esc_html_e( 'Support for Network and HTML5 Ads', 'adsanity-cas' ); ?></h1>
		<p><?php esc_html_e( 'We have added to the dynamic CSS feature of 1.5 to support the correct display of HTML5 ads and Network ads.', 'adsanity-cas' ); ?></p>
	</article>
	<article class="card">
		<h1><?php esc_html_e( 'Ad Block Prevention', 'adsanity-cas' ); ?></h1>
		<p><?php esc_html_e( 'We noticed that ad blockers were stopping the dynamic CSS from loading so we changed the url for the css file. The dynamic CSS should now load more consistently.', 'adsanity-cas' ); ?></p>
	</article>
</section>

<hr />
