<div class="wrap" id="adsanity-custom-ad-sizes">
	<h1 class="wp-heading-inline">
		AdSanity: <?php _e( 'Custom Ad Sizes', 'adsanity-cas' ); ?>
		<button class="page-title-action add-size"><?php esc_html_e( 'Add Size', 'adsanity-cas' ); ?></button>
	</h1>
	<form method="post" id="adsanity-custom-ad-size-form" action="<?php
		echo esc_attr( add_query_arg( array(
			'post_type' => 'ads',
			'page'      => 'custom-ad-sizes',
		), admin_url( 'edit.php' ) ) );
	?>">

		<?php submit_button(); ?>

		<input type="hidden" name="action" value="save-adsanity-custom-sizes">
		<?php wp_nonce_field(); ?>

		<table class="wp-list-table widefat fixed posts ad-sizes">
		<thead>
			<tr>
				<th><?php _e( 'Name', 'adsanity-cas' ); ?></th>
				<th><?php _e( 'Width (px)', 'adsanity-cas' ); ?></th>
				<th><?php _e( 'Height (px)', 'adsanity-cas' ); ?></th>
				<th><?php _e( 'Actions', 'adsanity-cas' ); ?></th>
			</tr>
		</thead>
		<tbody id="js-ad-size-list">

			<?php AdSanity_Custom_Ad_Sizes::custom_ad_sizes(); ?>

			<tr class="add-size-row">
				<td>
					<button class="page-title-action add-size">
						<?php esc_html_e( 'Add Size', 'adsanity-cas' ); ?>
						<span class="dashicons dashicons-plus-alt"></span>
					</button>
				</td>
			</tr>

		</tbody>
		<tfoot>
			<tr>
				<th><?php _e( 'Name', 'adsanity-cas' ); ?></th>
				<th><?php _e( 'Width (px)', 'adsanity-cas' ); ?></th>
				<th><?php _e( 'Height (px)', 'adsanity-cas' ); ?></th>
				<th><?php _e( 'Actions', 'adsanity-cas' ); ?></th>
			</tr>
		</tfoot>
		</table>

		<?php submit_button(); ?>
	</form>
</div>
