<?php
/**
 * Plugin Name: AdSanity - Impressions
 * Description: Add-on to AdSanity allowing admins to specify ad duration by all-time or daily impressions
 * Plugin URI: https://www.adsanityplugin.com
 * Author: Pixel Jar
 * Author URI: https://www.pixeljar.com
 * Version: 1.0
 * License: GPL2
 * Text Domain: adsanity-impressions
 * Domain Path: /lang
 */

define( 'ADSANITY_IMPRESSIONS_LIB', plugin_dir_path( __FILE__ ) . 'lib/' );
define( 'ADSANITY_IMPRESSIONS_VIEWS', plugin_dir_path( __FILE__ ) . 'views/' );
define( 'ADSANITY_IMPRESSIONS_CSS', plugin_dir_url( __FILE__ ) . 'dist/css/' );
define( 'ADSANITY_IMPRESSIONS_JS', plugin_dir_url( __FILE__ ) . 'dist/js/' );
define( 'ADSANITY_IMPRESSIONS_SLUG', 'adsanity-impressions' );
define( 'ADSANITY_IMPRESSIONS_VERSION', '1.0' );
define( 'ADSANITY_IMPRESSIONS_UTILITIES', ADSANITY_IMPRESSIONS_LIB . 'utilities.php' );
define( 'ADSANITY_IMPRESSIONS_ABS', plugin_dir_path( __FILE__ ) );

require_once( ADSANITY_IMPRESSIONS_LIB . 'ad-list.php' );
require_once( ADSANITY_IMPRESSIONS_LIB . 'hide-ad.php' );
require_once( ADSANITY_IMPRESSIONS_LIB . 'meta-box.php' );
require_once( ADSANITY_IMPRESSIONS_ABS . 'update-engine/remote-api.php' );
