<?php

/**
 * Public facing functionality
 */
class Adsanity_OAGW_Public {

	/**
	 * Unique identifier
	 */
	private $plugin_name;

	/**
	 * The version for this plugin
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;

	}

	/**
	 * The main shortcode for ordered ads
	 */
	public function adsanity_oagw( $atts = array() ) {

		$atts[ 'return' ] = true;
		$atts[ 'ad_ids' ] = explode( ',', $atts[ 'ad_ids' ] );

		$shortcode = '<div class="adsanity-shortcode adsanity-oagw">';
		$shortcode.= adsanity_show_ordered_ads( $atts );
		$shortcode.= '</div>';

		return $shortcode;

	}

	/**
	 * Register the shortcodes
	 */
	public function register_shortcodes() {

		add_shortcode( 'adsanity_ordered', array( $this, 'adsanity_oagw' ) );

	}

}
