//
// Reload the page
//
function reloadPage( hash = false ) {
	if ( hash ) {
		window.location.hash = hash;
	} else {
		window.location.hash = '';
	}
	window.location.reload();
}

//
// Format currency
//
function formatCurrency( number ) {
	return `$${Number.parseFloat( number ).toFixed( 2 )}`;
}

//
// Transform date from DD-MM-YYYY to Date() object
//
function transformDate( date ) {
	const split = date.split( '-' );
	return new Date( split[2], split[1] - 1, split[0] );
}

export { reloadPage, formatCurrency, transformDate };
