

<div
	class="not-logged-in card"
	v-show="tabStatus === 'notLoggedIn'"
>
	<div class="border">

		<p
			v-show="signInError"
		><strong><?php
			esc_html_e( 'Unable to log in! Please try again.' );
		?></strong></p>

		<p class="header"><?php esc_html_e( 'video intelligence', 'adsanity-vii' ); ?></p>
		<p><?php esc_html_e( 'Advertisers pay more for video advertising when it\'s matched with video content. This new video player will insert both on your page. It increases time on site, and commands a higher CPM than display advertising.', 'adsanity-vii' ); ?></p>
		<p><?php esc_html_e( 'You\'ll see video content that is matched to your sites keywords straight away. A few days after activation you\'ll begin to receive revenue from advertising served before this video content.', 'adsanity-vii' ); ?></p>
		<ul>
			<li>- <?php esc_html_e( 'The set up takes only a few minutes', 'adsanity-vii' ); ?></li>
			<li>- <?php esc_html_e( 'Up to 10x higher CPM than traditional display advertising', 'adsanity-vii' ); ?></li>
			<li>- <?php esc_html_e( 'Users spend longer on your site thanks to professional video content', 'adsanity-vii' ); ?></li>
			<li>- <?php esc_html_e( 'The video player is customizable to match your site', 'adsanity-vii' ); ?></li>
		</ul>
		<p><?php
			echo wp_kses(
				sprintf(
					__( '<a href="%s" target="_blank">Watch a demo</a> of how %s works.' ),
					$vi_settings->demoPageURL,
					'vi stories'
				),
				array(
					'a' => array(
						'href'   => array(),
						'target' => array(),
					),
				)
			);
		?></p>
		<p class="footer"><?php
			printf(
				esc_html__( 'By clicking sign up you agree to send your current domain, email and affiliate ID to %s.' ),
				'<strong>video intelligence</strong>'
			);
		?></p>

		<div class="buttons">
		
			<button
				class="button"
				@click="tabStatus='signIn'"
			>Log In</button>
			<button
				class="button button-primary right"
				@click="tabStatus='signUp'"
			>Sign Up</button>

		</div><!-- .buttons -->

	</div><!-- .border -->

</div><!-- .not-logged-in -->