<?php
if ( ! defined( 'ABSPATH' ) ) { die( 'You are not allowed to call this file directly.' ); }

	$is_dashboard_tab = ( ! isset( $_GET['tab'] ) || ( isset( $_GET['tab'] ) && $_GET['tab'] == 'dashboard' ) ) ? true : false;
?>
<div class="wrap">
	<h1 class="wp-heading-inline">AdSanity: <?php _e( 'Reports', 'adsanity' ); ?></h1>
	<?php do_action( 'adsanity_after_reports_page_heading' ); ?>
	<h2 class="nav-tab-wrapper">
		<a class="nav-tab<?php echo ( $is_dashboard_tab ? ' nav-tab-active' : '' ) ?>" href="<?php echo admin_url( 'edit.php?post_type=ads&page=adsanity-stats&tab=dashboard' ) ?>"><?php _e( 'Dashboard', 'adsanity' ) ?></a>
		<a class="nav-tab<?php echo ( !$is_dashboard_tab ? ' nav-tab-active' : '' ) ?>" href="<?php echo admin_url( 'edit.php?post_type=ads&page=adsanity-stats&tab=custom' ) ?>"><?php _e( 'Custom Reports', 'adsanity' ) ?></a>
	</h2>

	<?php
		if ( $is_dashboard_tab ) {
			require_once( ADSANITY_VIEWS . 'stats-dashboard.php' );
		} else {
			require_once( ADSANITY_VIEWS . 'stats-custom.php' );
		}
	?>

</div>
<div class="clear"></div>
