<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://www.pixeljar.com
 * @since      1.0.0
 *
 * @package    Adsanity_Urav
 * @subpackage Adsanity_Urav/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Adsanity_Urav
 * @subpackage Adsanity_Urav/includes
 * @author     Pixel Jar <info@pixeljar.com>
 */
class Adsanity_Urav_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {

		delete_option( 'adsanity-user-role-ad-visibility-options' );

	}

}
